Bug 18661 - Make "Replace only included patron attributes" default on patron import
Summary: Make "Replace only included patron attributes" default on patron import
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jasmine Amohia
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-05-23 15:27 UTC by Katrin Fischer
Modified: 2019-02-01 15:09 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
On the 'import patrons' page, the "Replace all patron attributes" is automatically selected which is the more dangerous option. This patch sets the default selection as "Replace only included patron attributes" as it is a safer option.
Version(s) released in:


Attachments
Made "Replace only included patron attributes" default on patron import (1.86 KB, patch)
2018-01-16 20:55 UTC, Te Rauhina Jackson
Details | Diff | Splinter Review
Bug 18661: Made "Replace only included patron attributes" default on patron import (1.68 KB, patch)
2019-01-15 23:01 UTC, Jasmine Amohia
Details | Diff | Splinter Review
Bug 18661: Made "Replace only included patron attributes" default on patron import (1.91 KB, patch)
2019-01-16 20:24 UTC, Jasmine Amohia
Details | Diff | Splinter Review
Bug 18661: Made "Replace only included patron attributes" default on patron import (1.96 KB, patch)
2019-01-16 20:36 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 18661: Made "Replace only included patron attributes" default on patron import (2.02 KB, patch)
2019-01-16 20:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2017-05-23 15:27:37 UTC
"Replace only included patron attributes" on the patron import page is the less dangerous option and should be the default.

If you forget to switch from "Replace all patron attributes" any additional attributes will be silently deleted.
Comment 1 Te Rauhina Jackson 2018-01-16 20:55:46 UTC
Created attachment 70572 [details] [review]
Made "Replace only included patron attributes" default on patron import

Test Plan:
1) Go to the import patrons page and notice that "Replace all patron attributes" is selected by default in the Patron Attributes section.
2) Apply this patch
3) Go back to the import patrons page and notice that "Replace only included patron attributes" is delected by default.
Comment 2 jmbroust 2018-03-14 11:09:52 UTC
Problem on sandbox 8. Not tested.
The sandbox you've requested is not ready.
Some problems occurred applying patches from bug 18661:
<h1>Something went wrong !</h1>Applying: Made Replace only included patron attributes default on patron import
Using index info to reconstruct a base tree...
M koha-tmpl/intranet-tmpl/prog/en/modules/tools/import_borrowers.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/tools/import_borrowers.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/tools/import_borrowers.tt
error: Failed to merge in the changes.
Patch failed at 0001 Made Replace only included patron attributes default on patron import
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem run git bz apply --continue.
If you would prefer to skip this patch, instead run git bz apply --skip.
To restore the original branch and stop patching run git bz apply --abort.
Bug 18661 - Make Replace only included patron attributes default on patron import

70572 - Made Replace only included patron attributes default on patron import

Apply? [(y)es, (n)o, (i)nteractive] Patch left in tmpMade-Replace-only-included-patron-attributes-defau-C0CswV.patch .
Comment 3 Jasmine Amohia 2019-01-15 23:01:50 UTC
Created attachment 84031 [details] [review]
Bug 18661: Made "Replace only included patron attributes" default on patron import

Test Plan:
1) Go to the import patrons page and notice that "Replace all patron attributes" is selected by default in the Patron Attributes section.
2) Apply this patch
3) Go back to the import patrons page and notice that "Replace only included patron attributes" is delected by default.
Comment 4 David Nind 2019-01-16 07:33:30 UTC
Hi Jasmine.

The patch works, but it duplicates the patron attributes form section and puts it AFTER the Notes section on the right hand side(depending on your browser window size).

It should update the form section before the import button, which starts at around line 223.

David
Comment 5 Jasmine Amohia 2019-01-16 20:24:26 UTC
Created attachment 84085 [details] [review]
Bug 18661: Made "Replace only included patron attributes" default on patron import

Test Plan:
1) Go to the import patrons page and notice that "Replace all patron attributes" is selected by default in the Patron Attributes section.
2) Apply this patch
3) Go back to the import patrons page and notice that "Replace only included patron attributes" is delected by default.
Comment 6 ByWater Sandboxes 2019-01-16 20:36:39 UTC
Created attachment 84087 [details] [review]
Bug 18661: Made "Replace only included patron attributes" default on patron import

Test Plan:
1) Go to the import patrons page and notice that "Replace all patron attributes" is selected by default in the Patron Attributes section.
2) Apply this patch
3) Go back to the import patrons page and notice that "Replace only included patron attributes" is delected by default.

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 David Nind 2019-01-16 20:37:35 UTC
Thanks Jasmine!
Comment 8 Katrin Fischer 2019-01-16 20:40:00 UTC
Created attachment 84088 [details] [review]
Bug 18661: Made "Replace only included patron attributes" default on patron import

Test Plan:
1) Go to the import patrons page and notice that "Replace all patron attributes" is selected by default in the Patron Attributes section.
2) Apply this patch
3) Go back to the import patrons page and notice that "Replace only included patron attributes" is delected by default.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2019-01-16 20:41:00 UTC
Thx, Jasmine! 

I'd be nice if you could add a little note to the "Text to go in the release notes" describing the change in behaviour.
Comment 10 Katrin Fischer 2019-01-19 09:56:19 UTC
Thx, Jasmine!
Comment 11 Nick Clemens 2019-01-28 16:08:37 UTC
Awesome work all!

Pushed to master for 19.05
Comment 12 Martin Renvoize 2019-02-01 15:09:01 UTC
A good enhancement, but it brings a change of functionality which could prove surprising to end users on the stable branch.. as such I will not be backporting this one to 18.11.x series.